#include <jutils.hpp>

#include <sstream>

namespace jutils
{
	std::vector<std::string> string_expand(const std::string& input, char delimiter)
	{
		std::vector<std::string> result;
		std::stringstream ss (input);
		std::string item;

		while (getline(ss, item, delimiter)) {
			result.push_back(item);
		}
		return result;

	}

	auto string_matches(const std::string &x, const std::vector<std::string> &v) -> bool {

		return std::find(v.begin(), v.end(), x) != v.end();

	}
}